Package org.apache.catalina.valves

# Class AbstractAccessLogValve.PortElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.PortElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`, `AbstractAccessLogValve.CachedElement`

Enclosing class:
  AbstractAccessLogValve

protected class AbstractAccessLogValve.PortElement extends Object implements AbstractAccessLogValve.AccessLogElement, AbstractAccessLogValve.CachedElement
write local or remote port for request connection - %p and %{xxx}p

## Constructor Summary

Constructors
Constructor
Description
`PortElement()`
`PortElement(String type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`
`void`
`cache(Request request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PortElement

public PortElement()

### PortElement

public PortElement(String type)

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

### cache

public void cache(Request request)

Specified by:
  `cache` in interface `AbstractAccessLogValve.CachedElement`